<p>To get started, the first step is to figure out which project you would like to contribute to.</p>
<p>If you have already a project in mind, great! Personal interest in a given project can be a fantastic source of motivation, and it's nice to get something merged into a project that we like -- that way, it feels like it becomes ours a bit too. :) If you don't yet have a precise idea of which project to pick, we'll help you brainstorm this.</p>
<div class="flex-container">
<div class="figure-and-caption"><img src="/static/ch_03-push_thinking_about__projects.svg" alt="Push Penguin thinking about different FOSS projects, with icons for Inkscape, LO Calc, GIMP, Blender, Linux, and VLC in a thought bubble." width="400" height="388" /></div>
<div class="side-text">
<h4>Keeping options open</h4>
<p>It might even be worth considering several projects, just so you have backup options if it turns out that the initial project you had in mind doesn't work out. Not every project is open to contributions, nor are they all a good fit, so be sure to assess it with the <a href="/jump_to_id/chap-05-seq-04-ver-01" target="[object Object]">criteria</a> we will be describing over the next few modules.</p>
<p>The choice you make of which project to contribute to doesn't need to be final at this stage, so don't worry too much about making the "right" choice for now. The important thing here is to experience making first contact, and to start getting feedback and information. In module 4, we will confirm your choice of project. Until then, the modules will provide tips to help you determine if the project is a good match for you, or whether there might be another one to which you'll be able to contribute more easily. Just make sure to start interacting now with at least one project, otherwise you won't have the experience nor the feedback required to make that decision later!</p>
<p>And if you end up with several good options, then great! You can just pick the one that turns out to be the best fit.</p>
</div>
</div>
<h4>Need ideas of projects to contribute to?</h4>
<div>If you don't already have a project in mind, or if you would like to find additional ideas:</div>
<ul>
<ul>
<li>
<p>Ask yourself: what are some examples of free software that are important in your life? Which do you use on a daily basis? Are there any you would like to help make succeed or want to give back to? Or perhaps there is one with useful features missing that you could perhaps contribute towards. Maybe you would simply like to get to know the people behind a certain project a little bit better.</p>
</li>
<li>
<p>Otherwise, you can get inspiration from the choices made by other contributors in the comments below, or in the <a href="/jump_to_id/chap-02-seq-05-ver-02">list of suggested projects</a> in the following unit</p>
</li>
</ul>
</ul>
<h4>What to contribute?</h4>
<p>You might already have an idea of <em>what</em> you would like to contribute to a project, and that can be useful, both in terms of motivation and to guide your exploration. But generally, it is easier to remain open-minded about the actual contributions you'll be making.</p>
<p>As we'll see in the following chapters, at first the main challenge is to become familiar with the project, its contribution process and its members. This will make it easier for you to get the attention and help you need to get your work accepted. So it can be easier to start with small tasks that existing project members already want. This will earn you quick wins and help you build relationships. These will come in handy later, especially when you want to get the project to accept work that <em>you</em> care more about.</p>
<p></p>